# mongoc_gridfs_find_one()

## Synopsis

    mongoc_gridfs_file_t *
    mongoc_gridfs_find_one (mongoc_gridfs_t *gridfs,
                            const bson_t    *query,
                            bson_error_t    *error);

## Parameters

gridfs | A mongoc_gridfs_t.
query | A bson_t.
error | An optional location for a bson_error_t or NULL.

## Description

This function shall execute a query on the underlying gridfs implementation. The first file matching query will be returned.

## Errors

Errors are propagated via the error parameter.

## Returns

A newly allcoated mongoc_gridfs_file_t or NULL if no file could be found. You must free the resulting file with mongoc_gridfs_file_destroy() if non-NULL.